<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/task/models/task';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Редактирование'),
            titleField: 'id',
            breadcrumbs: [
                {
                    label: this.__('Задачи'),
                    path: 'task/task',
                },
            ],
            model: model,
            http: {
                method: 'PATCH',
                path: 'task/task/:id',
                query: {
                    'with[0]': 'agent',
                    'with[1]': 'reports.shop',
                },
            },
            redirectPath: 'task/task',
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Item child="form" />
</template>
